cpanel на centos несколько версий php одновременно

Ребята из cpanel последнее время обнаглели вообще.

Пока сваливать от них, а жаль — панель мне нравится.

Почему я считаю что обнаглели ? Да потому что они везде настойчиво суют  Cloudlinux, а он за деньги. Нет, мне не жалко, но это принципиальная позиция — что за бред? Пишите модули — пишите для всех.

Короче, как известно под Cloudlinux есть компонент phpselector ну или как то так, для того чтобы ваш конечный юзер в своей cpanel мог выбирать сам какой версией php ему обрабатывать файлы.

Но мы хитрые — мы всех нае обманем и сделаем сами такой же модуль под CentOS.

В чем суть метода — мы скомпилируем вторую версию php, засунув ее в другую папку, и сделаем плагин для cpanel чтобы пользователь мог выбрать какой версией ему пользоваться. А разруливать его выбор будем с помощью htaccess 🙂

Короче примитив.

На самом деле я уже конечно все написал, сейчас сделаю так чтобы скрипт был универсальный и выложу его сюда во второй части этого поста. Скоро.

 

Вы можете оставить комментарий, или отправить trackback с Вашего собственного сайта.

Написать комментарий